Bug 891401 - Update to 1.4.13 before release to fix CVE-2012-6085
Update to 1.4.13 before release to fix CVE-2012-6085
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
18
All All
unspecified Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2013-01-02 14:52 EST by Adam Williamson
Modified: 2013-01-19 22:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 22:08:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-01-02 14:52:52 EST
Note https://bugzilla.redhat.com/show_bug.cgi?id=891142 and https://bugzilla.redhat.com/show_bug.cgi?id=889440 . This bug is filed for NTH purposes: security team doesn't like us doing NTH stuff on the SRT bugs.

Discussed at 2013-01-02 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2013-01-02/f18final-blocker-review-8.2013-01-02-17.03.log.txt . Accepted as NTH as a security issue in a key component: we should fix this before release.
Comment 1 Adam Williamson 2013-01-02 14:53:24 EST
You don't have to do anything here, Brian, we just need to pull the update through the freeze.
Comment 2 Tomas Mraz 2013-01-02 16:16:43 EST
Can we use this bug also for the gnupg2 update (which will just contain the patch from the upstream git)?
Comment 3 Fedora Update System 2013-01-02 17:26:18 EST
gnupg-1.4.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnupg-1.4.13-1.fc18
Comment 4 Fedora Update System 2013-01-03 05:23:47 EST
gnupg2-2.0.19-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnupg2-2.0.19-7.fc18
Comment 5 Fedora Update System 2013-01-03 18:51:48 EST
Package gnupg2-2.0.19-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnupg2-2.0.19-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0148/gnupg2-2.0.19-7.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-01-07 10:01:36 EST
gnupg-1.4.13-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnupg-1.4.13-2.fc18
Comment 7 Fedora Update System 2013-01-07 10:02:01 EST
gnupg-1.4.13-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnupg-1.4.13-2.fc17
Comment 8 Fedora Update System 2013-01-07 10:02:19 EST
gnupg-1.4.13-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnupg-1.4.13-2.fc16
Comment 9 Fedora Update System 2013-01-09 22:08:34 EST
gnupg2-2.0.19-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-09 22:09:25 EST
gnupg-1.4.13-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-19 22:16:50 EST
gnupg-1.4.13-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-01-19 22:37:18 EST
gnupg-1.4.13-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.